Bug 1477083 - [RFE] Add cluster name as a field to the hosts and vm records
[RFE] Add cluster name as a field to the hosts and vm records
Product: ovirt-engine-metrics
Classification: oVirt
Component: RFEs (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ovirt-4.2.0
: ---
Assigned To: Shirly Radco
Lukas Svaty
: FutureFeature
Depends On:
Blocks: 1475135 oVirt-Metrics-and-Logs
  Show dependency treegraph
Reported: 2017-08-01 04:12 EDT by Shirly Radco
Modified: 2017-12-20 06:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-20 06:18:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Metrics
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+
gklein: testing_plan_complete+
ylavi: planning_ack+
rule-engine: devel_ack+
pstehlik: testing_ack+

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 81436 master POST fluentd: Added cluster name 2017-09-05 04:15 EDT

  None (edit)
Description Shirly Radco 2017-08-01 04:12:54 EDT
Description of problem:
Adding cluster name to the hosts and vm records will allow to do better cluster analysis.

When deploying the fluentd configurations we have the host cluster available for the host fluentd configuration.

In case a host is moved to a different cluster the metrics configurations will need to be redeployed in order for it to show in the metrics store.

Steps to Reproduce:
1.Setup metrics configurations and metrics store.
2.Check the hosts and vm records for the ovirt.cluster field.
Comment 1 Yaniv Kaul 2017-09-04 06:18:54 EDT
Is this on track for 4.2?
Comment 2 Shirly Radco 2017-09-24 05:13:35 EDT
The _source was removed for these fields and all of the fields for metrics should be removed according to elastic recommendation.
I opened a bug about that: bug 1494912

This prevents seeing the records in the discovery tab but we can still use the fields to create charts and graphs and filter by them.

Please let me know if you need assistance in how to verify this RFE.
Comment 3 Lukas Svaty 2017-10-09 04:28:30 EDT
available in ovirt records, verified in non-ViaQ setup
verified in ovirt-engine-metrics-1.1.1-0.0.master.20171001113530.el7.centos.noarch

    "ovirt": {
      "entity": "vms",
      "host_id": "be937f95-7702-4657-9d1b-73aa87cce855",
      "engine_fqdn": "10-37-138-17.rhev.lab.eng.brq.redhat.com",
      "cluster_name": "Default"
Comment 4 Sandro Bonazzola 2017-12-20 06:18:51 EST
This bugzilla is included in oVirt 4.2.0 release, published on Dec 20th 2017.

Since the problem described in this bug report should be
resolved in oVirt 4.2.0 release, published on Dec 20th 2017, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.

Note You need to log in before you can comment on or make changes to this bug.